Skip to main content
POST
/
sessions
/
field
Create Field
curl --request POST \
  --url https://api.swoogo.com/api/v1/sessions/field \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "choices": [
    "first",
    "second",
    "third"
  ],
  "name": "new session field",
  "type": "dropDownList"
}
'
{
  "created_at": "2022-06-26 14:30:00",
  "updated_at": "2022-06-26 14:30:00"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Body

choices
string[]
Example:
["first", "second", "third"]
name
string
Example:

"new session field"

type
string
Example:

"dropDownList"

Response

Create Object

created_at
string
Example:

"2022-06-26 14:30:00"

updated_at
string
Example:

"2022-06-26 14:30:00"